# ChangeLog for sys-apps/grep
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-apps/grep/ChangeLog,v 1.64 2006/04/07 08:08:07 exg Exp $

  07 Apr 2006; Emanuele Giaquinta <exg@gentoo.org> grep-2.5.1a.ebuild:
  Stable on ppc.

  02 Apr 2006; Diego Pettenò <flameeyes@gentoo.org> grep-2.5.1a.ebuild:
  Update ~x86-fbsd keyword.

  02 Apr 2006; Diego Pettenò <flameeyes@gentoo.org> grep-2.5.1-r9.ebuild:
  Add ~x86-fbsd keyword.

  20 Feb 2006; Markus Rothe <corsair@gentoo.org> grep-2.5.1a.ebuild:
  Stable on ppc64

  08 Feb 2006; Aron Griffis <agriffis@gentoo.org> grep-2.5.1a.ebuild:
  Mark 2.5.1a stable on alpha

*grep-2.5.1a (07 Feb 2006)

  07 Feb 2006; Mike Frysinger <vapier@gentoo.org>
  +files/grep-2.5.1-bracket.patch, +files/grep-2.5.1-color.patch,
  +grep-2.5.1a.ebuild:
  Update to latest version and grab some patches from Fedora.

  24 Dec 2005; Mike Frysinger <vapier@gentoo.org> grep-2.5.1-r8.ebuild,
  grep-2.5.1-r9.ebuild:
  Drop USE=pcre support since no one really uses it #102771.

  29 Nov 2005; Fabian Groffen <grobian@gentoo.org> grep-2.5.1-r9.ebuild:
  Marked ~ppc-macos

*grep-2.5.1-r9 (26 Nov 2005)

  26 Nov 2005; Mike Frysinger <vapier@gentoo.org>
  +files/grep-2.5.1-fix-devices-skip.patch, +grep-2.5.1-r9.ebuild:
  Add patch upstream to fix handling of --devices and fifos #113640 by Ingo
  van Lil.

  17 Sep 2005; Ciaran McCreesh <ciaranm@gentoo.org> ChangeLog:
  Converted to UTF-8, fixed encoding screwups

  16 Sep 2005; Aron Griffis <agriffis@gentoo.org> grep-2.5.1-r8.ebuild:
  Mark 2.5.1-r8 stable on alpha

  08 Sep 2005; Aaron Walker <ka0ttic@gentoo.org> grep-2.5.1-r8.ebuild:
  Stable on mips.

  03 Sep 2005; Markus Rothe <corsair@gentoo.org> grep-2.5.1-r8.ebuild:
  Stable on ppc64

  18 Aug 2005; Michael Hanselmann <hansmi@gentoo.org> grep-2.5.1-r8.ebuild:
  Stable on ppc.

  16 Aug 2005; Gustavo Zacarias <gustavoz@gentoo.org> grep-2.5.1-r8.ebuild:
  Stable on sparc

  13 Jun 2005; Mike Frysinger <vapier@gentoo.org>
  +files/grep-2.5.1-libintl.patch, grep-2.5.1-r8.ebuild:
  Add a patch by Diego Pettenò to fix BSD support #92586.

*grep-2.5.1-r8 (12 Jun 2005)

  12 Jun 2005; Mike Frysinger <vapier@gentoo.org>
  +files/grep-2.5.1-perl-segv.patch, files/grep-2.5.1-restrict_arr.patch,
  +grep-2.5.1-r8.ebuild:
  Fix segfault with perl regex usage #95495 by emanuele.giaquinta@gmail.com
  and update the restrict_arr to be portable #92586.

  29 May 2005; <solar@gentoo.org> grep-2.5.1-r6.ebuild, grep-2.5.1-r7.ebuild:
  - update sys-apps/grep to use libc expanded variable elibc_uclibc vs uclibc so
  USE=-* works

  22 Mar 2005; Jeremy Huddleston <eradicator@gentoo.org>
  grep-2.5.1-r6.ebuild, grep-2.5.1-r7.ebuild:
  Set correct path for libpcre.a

  19 Feb 2005; <solar@gentoo.org> grep-2.5.1-r7.ebuild:
  - bug 76879 broke maketest on uClibc hosts. for now make the patching
  conditional

  17 Feb 2005; Kito <kito@gentoo.org> grep-2.5.1-r6.ebuild:
  ~ppc-macos keyword

  07 Jan 2005; Mike Frysinger <vapier@gentoo.org> files/2.5.1-tests.patch:
  Update tests so that grep+glibc dont get stuck in an infinite loop #76879 by
  Patrick Lauer.

*grep-2.5.1-r7 (06 Jan 2005)

  06 Jan 2005; Mike Frysinger <vapier@gentoo.org>
  +files/2.5.1-tests.patch, +files/2.5.1-utf8-case.patch,
  +grep-2.5.1-r7.ebuild:
  Fix UTF8 case matching with a patch from Debian #76192 by Michael Mauch.
  Also update one of the tests to fix #63507 by Daniel Black.

  02 Jan 2005; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  30 Sep 2004; Bryan Østergaard,,, <kloeri@gentoo.org> grep-2.5.1-r6.ebuild:
  Stable on alpha.

  26 Sep 2004; Danny van Dyk <kugelfang@gentoo.org> grep-2.5.1-r6.ebuild:
  Marked stable on amd64.

  25 Sep 2004; Joshua Kinard <kumba@gentoo.org> grep-2.5.1-r6.ebuild:
  Marked stable on mips.

  09 Sep 2004; Gustavo Zacarias <gustavoz@gentoo.org> grep-2.5.1-r6.ebuild:
  Stable on sparc

  24 Aug 2004; Sven Wegener <swegener@gentoo.org> grep-2.5.1-r1.ebuild,
  grep-2.5.1-r4.ebuild, grep-2.5.1-r5.ebuild, grep-2.5.1-r6.ebuild:
  Removed http://ftp.club.cc.cmu.edu/pub/gnu from SRC_URI as it's already used
  with mirror://gnu

*grep-2.5.1-r6 (20 Aug 2004)

  20 Aug 2004; Tavis Ormandy <taviso@gentoo.org>
  +files/2.5.1-manpage-line-buffering.diff, +grep-2.5.1-r6.ebuild:
  fix manpage reference to --line-buffering

*grep-2.5.1-r5 (19 Aug 2004)

  19 Aug 2004; Heinrich Wendel <lanius@gentoo.org> grep-2.5.1-r5.ebuild,
  files/grep-2.5.1-fgrep.patch.bz2, files/grep-2.5.1-gofast.patch.bz2,
  files/grep-2.5.1-i18n.patch.bz2, files/grep-2.5.1-oi.patch.bz2:
  better performance on utf8 systems

  17 Aug 2004; Aron Griffis <agriffis@gentoo.org> grep-2.5.1-r4.ebuild:
  Move uclibc stuff forward from -r1. It appears solar only put it in -r1 for
  some reason. Mark -r4 stable on alpha and ia64

  30 Jun 2004; Aron Griffis <agriffis@gentoo.org> grep-2.5.1-r1.ebuild:
  sync IUSE (+static)

  15 Jun 2004; <solar@gentoo.org> grep-2.5.1-r1.ebuild,
  files/grep-2.5.1-restrict_arr.patch:
  added uclibc support

*grep-2.5.1-r4 (11 Jun 2004)

  11 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org> grep-2.5.1-r3.ebuild,
  grep-2.5.1-r4.ebuild:
  agriffis reminded me of the pcre use flag which is much more accurate.
  Also, link only libpcre statically which should be much nicer for anyone
  who wants to use pcre.

  11 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org> grep-2.5.1-r2.ebuild:
  clean older ebuild

*grep-2.5.1-r3 (11 Jun 2004)

  11 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org> grep-2.5.1-r3.ebuild:
  rev bump to get use perl fix

  11 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org> grep-2.5.1-r2.ebuild:
  compile statically if use perl to address bug #53627

*grep-2.5.1-r2 (10 Jun 2004)

  10 Jun 2004; Michael Sterrett <mr_bones_@gentoo.org> grep-2.5.1-r2.ebuild:
  Add support for the -P (perl regex) option (bug #51215) For bootstrap,
  using -perl should work fine.  For people with /bin and /usr on different
  partitions USE="static" works fine. (see bug #1638 for discussion)
  Fixed the formatting for the -P option in the man page.

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> grep-2.5.1-r1.ebuild:
  Add inherit eutils

  08 Mar 2004; Aron Griffis <agriffis@gentoo.org> grep-2.5.1-r1.ebuild:
  Use symlinks for egrep and fgrep.. faster, smaller, cleaner, more elegant

  02 Mar 2004; Brian Jackson <iggy@gentoo.org> grep-2.5.1-r1.ebuild:
  adding initial s390 support

  01 Nov 2003; Seemant Kulleen <seemant@gentoo.org> grep-2.5.1-r1.ebuild:
  SRC_URI fix to fetch from the one gnu mirror known to have this tarball,
  falling back to our mirrors, then the gnu mirrors. Closes bug #32519 by Stony
  Yakovac <stonyy@tek.com>

*grep-2.5.1-r1 (27 Feb 2003)

  21 Sep 2003; Mike Frysinger <vapier@gentoo.org> :
  Add static support #29188.

  24 Jun 2003; Aron Griffis <agriffis@gentoo.org> grep-2.5.1-r1.ebuild:
  Mark stable on alpha

  06 Jul 2003; Guy Marin <gmsoft@gentoo.org> grep-2.5.1-r1.ebuild :
  Marked stable on hppa.

  22 Jun 2003; Joshua Kinard <kumba@gentoo.org> grep-2.5.1-r1.ebuild:
  Changed ~sparc & ~mips to sparc & mips in KEYWORDS

  20 May 2003; Joshua Kinard <kumba@gentoo.org> grep-2.5.1-r1.ebuild:
  Added gnuconfig eclass support to properly detect linux-mips systems

  27 Feb 2003; Aron Griffis <agriffis@gentoo.org> grep-2.5.1-r1.ebuild:
  Close bug #16495 by installing in /bin instead of /usr/bin.  I introduced
  this error in the 2.5.1 ebuild.  Thanks to Tristan Henderson who noticed it.

*grep-2.5.1 (27 Feb 2003)

  24 Apr 2003; Jason Wever <weeve@gentoo.org> grep-2.5-r1.ebuild,
  grep-2.5.1-r1.ebuild, grep-2.5.1.ebuild:
  Added a patch for sparc32 to fix bug #17568. Thanks to Peter Gnodde
  <peter@gnodde.org> for reporting the problem and solution.

  27 Feb 2003; Aron Griffis <agriffis@gentoo.org> grep-2.5.1.ebuild:
  Update to 2.5.1, thanks to Michael Sterrett for the heads-up

  20 Feb 2003; Zach Welch <zwelch@gentoo.org> grep-2.5-r1.ebuild :
  Added arm to keywords.

  09 Feb 2003; Guy Martin <gmsoft@gentoo.org> grep-2.5-r1.ebuild :
  Added hppa to keywords.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*grep-2.4.2-r4.ebuild (14 July 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> grep-2.4.2-r4.ebuild :
  Added KEYWORDS, SLOT.

*grep-2.5-r1 (12 Apr 2002)

  18 Jan 2003; Jan Seidel <tuxus@gentoo.org> :
  Added mips to keywords

  14 Jul 2002; phoen][x <phoenix@gentoo.org> grep-2.5.ebuild :
  Added KEYWORDS, SLOT.

  14 Jul 2002; phoen][x <phoenix@gentoo.org> grep-2.5-r1.ebuild :
  Added KEYWORDS, SLOT.

  12 Apr 2002; Matthew Kennedy <mkennedy@gentoo.org> ChangeLog,
  grep-2.5-r1.ebuild, files/digest-grep-2.5-r1 :

  Fixes bug #1638 by adding --disable-perl-regexp.

*grep-2.5 (21 March 2002)

*grep-2.4.2-r5 (1 Feb 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> grep-2.4.2-r5.ebuild :
  Added KEYWORDS, SLOT.

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targeted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
